Package com.io7m.idstore.user_client.internal

# Class IdUClientAsynchronous

java.lang.Object
com.io7m.hibiscus.basic.HBClientAsynchronousAbstract<IdUClientException,IdUCommandType<?>,IdUResponseType,IdUResponseType,IdUResponseError,IdUClientEventType,IdUClientCredentials>
com.io7m.idstore.user_client.internal.IdUClientAsynchronous

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBClientAsynchronousType<IdUClientException,IdUCommandType<?>,IdUResponseType,IdUResponseType,IdUResponseError,IdUClientEventType,IdUClientCredentials>`, `com.io7m.hibiscus.api.HBClientCloseableType<IdUClientException>`, `com.io7m.hibiscus.api.HBClientStatusType<IdUCommandType<?>,IdUResponseType,IdUResponseError,IdUClientEventType,IdUClientCredentials>`, `IdUClientAsynchronousType`, `AutoCloseable`

public final class IdUClientAsynchronous extends com.io7m.hibiscus.basic.HBClientAsynchronousAbstract<IdUClientException,IdUCommandType<?>,IdUResponseType,IdUResponseType,IdUResponseError,IdUClientEventType,IdUClientCredentials> implements IdUClientAsynchronousType
The asynchronous client.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUClientAsynchronous(IdUClientConfiguration inConfiguration, IdStrings inStrings, HttpClient inHttpClient)`
  The asynchronous client.

- ## Method Summary

  ### Methods inherited from class com.io7m.hibiscus.basic.HBClientAsynchronousAbstract

  `checkNotClosingOrClosed, close, commandExecutor, delegate, disconnectAsync, events, executeAsync, isClosed, isConnected, loginAsync, pollEvents, state, stateNow`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.hibiscus.api.HBClientAsynchronousType

  `disconnectAsync, executeAsync, executeAsyncOrElseThrow, loginAsync, loginAsyncOrElseThrow, pollEvents`

  ### Methods inherited from interface com.io7m.hibiscus.api.HBClientCloseableType

  `close, isClosed`

  ### Methods inherited from interface com.io7m.hibiscus.api.HBClientStatusType

  `events, isConnected, state, stateNow`

- ## Constructor Details

  - ### IdUClientAsynchronous

    public IdUClientAsynchronous(IdUClientConfiguration inConfiguration, IdStrings inStrings, HttpClient inHttpClient)
    The asynchronous client.
    Parameters:
      `inConfiguration` - The configuration
      `inStrings` - The string resources
      `inHttpClient` - The HTTP client